Package org.xnio

# Interface ChannelListener<T extends Channel>

Type Parameters:
  `T` - the channel type

All Superinterfaces:
  `EventListener`

All Known Implementing Classes:
  `ChainedChannelListener`, `DelegatingChannelListener`

public interface ChannelListener<T extends Channel> extends EventListener
A listener for channel events. Possible channel events include: channel readable, channel writable, channel opened, channel closed, channel bound, channel unbound.

Since:
  2.0

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`ChannelListener.Setter<T extends Channel>`
A setter for a channel listener.
`static class`
`ChannelListener.SimpleSetter<T extends Channel>`
A simple implementation of `ChannelListener.Setter`.

## Method Summary

Modifier and Type
Method
Description
`void`
`handleEvent(T channel)`
Handle the event on this channel.

## Method Details

### handleEvent

void handleEvent(T channel)
Handle the event on this channel.

Parameters:
  `channel` - the channel event